/*
 * exti_bsp.h
 *
 *  Created on: Jul 20, 2023
 *      Author: hussamaldean
 */

#ifndef EXTI_BSP_H_
#define EXTI_BSP_H_

#include "stdint.h"
#include "bsp.h"

typedef enum
{
	RisingEdge,
	FallingEdge,
	Rising_FallingEdge
}Edge_ConfigTypedef;

typedef enum
{
	PortA,
	PortB,
	PortC,
	PortD,
	PortE,
	PortF,
	PortG,
	PortH,
	PortI
}Ports_Typedef;

typedef struct
{
	uint8_t pinNumber;
	uint8_t port;
	uint8_t mode;
}EXTI_ConfigTypedef;


void bsp_exti_init(EXTI_ConfigTypedef *config);


#endif /* EXTI_BSP_H_ */
