/*
 * debug.c
 *
 *  Created on: Jul 26, 2023
 *      Author: hussamaldean
 */

#include "bsp_debug.h"


#if DEBUG
#define printk(p) printf(p)
#else
#define printk(p)
#endif


int __io_putchar(int ch)
{
	 ITM_SendChar(ch);
	return ch;
}


void log_error(char *p)
{

	printk("log Error: ");
	printk((char*)p);
	printk("\r\n");
}

void log_info(char *p)
{

	printk("log info: ");
	printk((char*)p);
	printk("\r\n");
}

void log_debug(char *p)
{

	printk("log debug: ");
	printk((char*)p);
	printk("\r\n");
}
